### Method

# Gimp TextLayer set_base_direction

since: 2.6

#### Declaration [src]

    gboolean
    gimp_text_layer_set_base_direction (
      GimpTextLayer* layer,
      GimpTextDirection direction
    )

#### Description [src]

Set the base direction in the text layer.

This procedure sets the base direction used in applying the Unicode bidirectional algorithm when rendering the text.

Available since: 2.6

#### Parameters

`direction`

  Type: `GimpTextDirection`

  The base direction of the text.

#### Return value

Type: `gboolean`

TRUE on success.